apiVersion: v1
kind: ConfigMap
metadata:
  name: oid4vci-configmap
  namespace: {{ .Release.Namespace }}
data:
  FLYWAY_JDBC_URL: "{{ .Values.config.datasourceJdbcUrl }}"
  GAIA_X_OID4VCI_ISSUER_URL: "{{ .Values.config.gaiaXOid4vciIssuerUrl }}"
  MP_JWT_DECRYPT_KEY_LOCATION: "{{ .Values.config.mpJwtDecryptKeyLocation }}"
  QUARKUS_DATASOURCE_JDBC_URL: "{{ .Values.config.datasourceJdbcUrl }}"
  QUARKUS_DATASOURCE_USERNAME: "{{ .Values.config.datasourceUsername }}"
  QUARKUS_HTTP_ACCESS_LOG_ENABLED: "true"
  QUARKUS_HTTP_PORT: "{{ .Values.service.port }}"
  QUARKUS_LOG_LEVEL: "INFO"
  QUARKUS_OPENTELEMETRY_TRACER_EXPORTER_OTLP_ENDPOINT: "{{ .Values.config.otelConnectorUrl }}"
  QUARKUS_REST_CLIENT_PROFILE_API_URL: "{{ .Values.config.restClientProfileApiUrl }}"
  SMALLRYE_JWT_ENCRYPT_KEY_ID: "{{ .Values.config.smallRyeJwtEncryptKeyID }}"
  SMALLRYE_JWT_ENCRYPT_KEY_LOCATION: "{{ .Values.config.smallRyeJwtEncryptKeyLocation }}"
  SMALLRYE_JWT_SIGN_KEY_ID: "{{ .Values.config.smallRyeJwtSignKeyID }}"
  SMALLRYE_JWT_SIGN_KEY_LOCATION: "{{ .Values.config.smallRyeJwtSignKeyLocation }}"
  SMALLRYE_JWT_VERIFY_PUBLICKEY_ALGORITHM: "{{ .Values.config.smallRyeJwtVerifyPublicKeyAlgorithm }}"
  SMALLRYE_JWT_VERIFY_PUBLICKEY_LOCATION: "{{ .Values.config.smallRyeJwtVerifyPublicKeyLocation }}"
